View Issue Details

IDProjectCategoryView StatusLast Update
0003484Multi Theft Auto : San AndreasGUI / Menus / Consolepublic2014-05-18 23:22
ReporterrydenAssigned ToJusonex 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Versionblue_sa.r2.a12 
Target Version1.3.2Fixed in Version 
Summary0003484: guiScrollPaneGetVerticalScrollPosition returns strange and stepped values
Description

It's returning me values between 0 and 35, and also stepped, so if I scroll just one pixel it still returns me 0.

TagsNo tags attached.

Relationships

has duplicate 0008238 closed Multi Theft Auto : San Andreas guiScrollPaneGetVerticalScrollPosition returns a wrong value 
related to 0007273 closed Source patches Patch for 0003484: guiScrollPaneGetVerticalScrollPosition returns strange and stepped values 
child of 0002949 closed Multi Theft Auto : San Andreas Map editor issues 

Activities

ryden

2008-05-26 10:11

manager   ~~0007778

The same applies for guiScrollPaneGetHorizontalScrollPosition().

Different sizes give different value ranges, but still no sense values.
And it's still stepped, so if you scroll just a tiny bit the scrolled value won't change.

eAi

2010-06-01 01:12

administrator   ~~0011536

Is this still an issue?

R3mp

2010-12-09 22:03

viewer   ~~0012236

yep, even with this code you can see problems. playing around with runcode gives some obviously broken results (tested on 1.0.4-rc-2106 and 1.1-unstable-2094):

addCommandHandler("pane",
function()
local s = guiCreateScrollPane(0,0,500,500,false)

    for i=0, 10 do
        guiCreateLabel(0,i*100,800,80,"test label",false,s)
    end

    outputDebugString("H: "..guiScrollPaneGetHorizontalScrollPosition(s).." V: "..guiScrollPaneGetVerticalScrollPosition(s))

    guiScrollPaneSetHorizontalScrollPosition(s,80)
    guiScrollPaneSetVerticalScrollPosition(s,80)

    outputDebugString("H2: "..guiScrollPaneGetHorizontalScrollPosition(s).." V2: "..guiScrollPaneGetVerticalScrollPosition(s))  
end

)

CWanted

2013-01-14 16:46

updater   ~~0017962

http://code.google.com/p/mtasa-blue/source/detail?r=4929

Issue History

Date Modified Username Field Change